////////////////////////////////////////////////////////////////
//                                                            //
// TMyClass                                                   //
//                                                            //
// This is the description block.                             //
//                                                            //
////////////////////////////////////////////////////////////////

#ifndef ACULCALIB_ACULCALIB_H_
#define ACULCALIB_ACULCALIB_H_

//#include "TObject.h"
//#include "TROOT.h"
#include <iostream>
#include <fstream>

#include "TArrayD.h"
#include "TString.h"
#include "TCanvas.h"

#include "./AculCalPars.h"

using std::cout;
using std::endl;
using std::cerr;

class AculCalib {

protected:
	vector<Double_t> fA;	//calibration parameter A
	vector<Double_t> fB;	//calibration parameter A

	TString fParFileName;	//name of file with parameters

	AculCalPars *fPars;		//parameters used for calibration

public:
	//Default constructor.
	AculCalib();

	//Destructor.
	virtual ~AculCalib();
	ClassDef(AculCalib,1);

	virtual void Init();

	void SetParFile(const char* parfile);
	const char* GetParFileName() {return fParFileName.Data();}

	//Print parameters used for calibration.
	void PrintParameters(const char* option = "");
	//Print calibration parameters.
	void PrintCalibParameters();

	//Get calibration parameter A.
	Double_t GetA(Int_t i);
	//Get calibration parameter B.
	Double_t GetB(Int_t i);

protected:
	void CanDivider(TCanvas *c, Int_t noPads, Int_t columns = 0, Int_t rows = 0);

};

#endif
